ErrorManager

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class ErrorManager

    java.lang.Object
      weka.core.parser.java_cup.ErrorManager

    public class ErrorManager

extends java.lang.Object

Method Summary
`void` | `emit_error(java.lang.String message)`
`void` | `emit_error(java.lang.String message, Symbol sym)`
`void` | `emit_fatal(java.lang.String message)` Error message format: ERRORLEVEL at (LINE/COLUMN)@SYMBOL: MESSAGE ERRORLEVEL : MESSAGE
`void` | `emit_fatal(java.lang.String message, Symbol sym)`
`void` | `emit_warning(java.lang.String message)`
`void` | `emit_warning(java.lang.String message, Symbol sym)`
`int` | `getErrorCount()`
`int` | `getFatalCount()`
`static ErrorManager` | `getManager()`
`int` | `getWarningCount()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFatalCount

    public int getFatalCount()

### getErrorCount

    public int getErrorCount()

### getWarningCount

    public int getWarningCount()

### getManager

    public static ErrorManager getManager()

### emit_fatal

    public void emit_fatal(java.lang.String message)

  Error message format: ERRORLEVEL at (LINE/COLUMN)@SYMBOL: MESSAGE ERRORLEVEL : MESSAGE

### emit_fatal

    public void emit_fatal(java.lang.String message,
                           Symbol sym)

### emit_warning

    public void emit_warning(java.lang.String message)

### emit_warning

    public void emit_warning(java.lang.String message,
                             Symbol sym)

### emit_error

    public void emit_error(java.lang.String message)

### emit_error

    public void emit_error(java.lang.String message,
                           Symbol sym)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD